/v2/api/namespaces/discoveryId/{discoveryId} (GET) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Returns all discovered namespaces that are linked to the specified discovery ID.

GET https://api-<BlueCat.edge.url>/v2/api/namespaces/disocveryId/{discoveryId}
Authorization: Bearer token

Parameters

Name Description Type
discoveryId The ID of the discovery that you would like to retrieve the discovered namespaces for. String

Successful response

200 OK
Content-Type: application/JSON
{
    "discoveryId": "46b2afdd-f735-421a-b489-6f7b1f35dd7d"
    "namespaces": [
        "7890abcd-5678-9012-a1b2-c3d5e6f7"
    ]
}
Possible error codes
  • 400 Bad Request - Invalid discovery ID
  • 500 Internal Server Error - Unexpected error while processing the request